Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Public Member Functions | Data Fields
_reent Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Public Member Functions
void | _sig_func (int)

## Data Fields
int | _errno
__FILE * | _stdin
__FILE * | _stdout
__FILE * | _stderr
int | _inc
char | _emergency [25]
int | _unspecified_locale_info
struct __locale_t * | _locale
int | __sdidinit
void(* | __cleanup )(struct _reent *)
struct _Bigint * | _result
int | _result_k
struct _Bigint * | _p5s
struct _Bigint ** | _freelist
int | _cvtlen
char * | _cvtbuf
union {
struct {
unsigned int _unused_rand
char * _strtok_last
char _asctime_buf [26]
struct __tm _localtime_buf
int _gamma_signgam
__extension__ unsigned long long _rand_next
struct _rand48 _r48
_mbstate_t _mblen_state
_mbstate_t _mbtowc_state
_mbstate_t _wctomb_state
char _l64a_buf [8]
char _signal_buf [24]
int _getdate_err
_mbstate_t _mbrlen_state
_mbstate_t _mbrtowc_state
_mbstate_t _mbsrtowcs_state
_mbstate_t _wcrtomb_state
_mbstate_t _wcsrtombs_state
int _h_errno
} _reent
struct {
unsigned char * _nextf [30]
unsigned int _nmalloc [30]
} _unused
} | _new
struct _atexit * | _atexit
struct _atexit | _atexit0
struct _glue | __sglue
__FILE | __sf [3]

## Detailed Description

Definition at line 1060 of file rb_mjit_min_header-2.7.0.h.

## Member Function Documentation

## ◆ _sig_func()

void _reent::_sig_func | ( | int |  | ) |

## Field Documentation

## ◆ __cleanup

void(* _reent::__cleanup) (struct _reent *)

Definition at line 1069 of file rb_mjit_min_header-2.7.0.h.

## ◆ __sdidinit

int _reent::__sdidinit

Definition at line 1068 of file rb_mjit_min_header-2.7.0.h.

## ◆ __sf

__FILE _reent::__sf[3]

Definition at line 1111 of file rb_mjit_min_header-2.7.0.h.

## ◆ __sglue

struct _glue _reent::__sglue

Definition at line 1110 of file rb_mjit_min_header-2.7.0.h.

## ◆ _asctime_buf

char _reent::_asctime_buf[26]

Definition at line 1082 of file rb_mjit_min_header-2.7.0.h.

## ◆ _atexit

struct _atexit* _reent::_atexit

Definition at line 1107 of file rb_mjit_min_header-2.7.0.h.

## ◆ _atexit0

struct _atexit _reent::_atexit0

Definition at line 1108 of file rb_mjit_min_header-2.7.0.h.

## ◆ _cvtbuf

char* _reent::_cvtbuf

Definition at line 1075 of file rb_mjit_min_header-2.7.0.h.

## ◆ _cvtlen

int _reent::_cvtlen

Definition at line 1074 of file rb_mjit_min_header-2.7.0.h.

## ◆ _emergency

char _reent::_emergency[25]

Definition at line 1065 of file rb_mjit_min_header-2.7.0.h.

## ◆ _errno

int _reent::_errno

Definition at line 1062 of file rb_mjit_min_header-2.7.0.h.

## ◆ _freelist

struct _Bigint** _reent::_freelist

Definition at line 1073 of file rb_mjit_min_header-2.7.0.h.

## ◆ _gamma_signgam

int _reent::_gamma_signgam

Definition at line 1084 of file rb_mjit_min_header-2.7.0.h.

## ◆ _getdate_err

int _reent::_getdate_err

Definition at line 1092 of file rb_mjit_min_header-2.7.0.h.

## ◆ _h_errno

int _reent::_h_errno

Definition at line 1098 of file rb_mjit_min_header-2.7.0.h.

## ◆ _inc

int _reent::_inc

Definition at line 1064 of file rb_mjit_min_header-2.7.0.h.

## ◆ _l64a_buf

char _reent::_l64a_buf[8]

Definition at line 1090 of file rb_mjit_min_header-2.7.0.h.

## ◆ _locale

struct __locale_t* _reent::_locale

Definition at line 1067 of file rb_mjit_min_header-2.7.0.h.

## ◆ _localtime_buf

struct __tm _reent::_localtime_buf

Definition at line 1083 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mblen_state

_mbstate_t _reent::_mblen_state

Definition at line 1087 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mbrlen_state

_mbstate_t _reent::_mbrlen_state

Definition at line 1093 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mbrtowc_state

_mbstate_t _reent::_mbrtowc_state

Definition at line 1094 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mbsrtowcs_state

_mbstate_t _reent::_mbsrtowcs_state

Definition at line 1095 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mbtowc_state

_mbstate_t _reent::_mbtowc_state

Definition at line 1088 of file rb_mjit_min_header-2.7.0.h.

## ◆ _new

union { ... } _reent::_new

## ◆ _nextf

unsigned char* _reent::_nextf[30]

Definition at line 1103 of file rb_mjit_min_header-2.7.0.h.

## ◆ _nmalloc

unsigned int _reent::_nmalloc[30]

Definition at line 1104 of file rb_mjit_min_header-2.7.0.h.

## ◆ _p5s

struct _Bigint* _reent::_p5s

Definition at line 1072 of file rb_mjit_min_header-2.7.0.h.

## ◆ _r48

struct _rand48 _reent::_r48

Definition at line 1086 of file rb_mjit_min_header-2.7.0.h.

## ◆ _rand_next

__extension__ unsigned long long _reent::_rand_next

Definition at line 1085 of file rb_mjit_min_header-2.7.0.h.

## ◆ _reent

struct { ... } _reent::_reent

## ◆ _result

struct _Bigint* _reent::_result

Definition at line 1070 of file rb_mjit_min_header-2.7.0.h.

## ◆ _result_k

int _reent::_result_k

Definition at line 1071 of file rb_mjit_min_header-2.7.0.h.

## ◆ _signal_buf

char _reent::_signal_buf[24]

Definition at line 1091 of file rb_mjit_min_header-2.7.0.h.

## ◆ _stderr

__FILE * _reent::_stderr

Definition at line 1063 of file rb_mjit_min_header-2.7.0.h.

## ◆ _stdin

__FILE* _reent::_stdin

Definition at line 1063 of file rb_mjit_min_header-2.7.0.h.

## ◆ _stdout

__FILE * _reent::_stdout

Definition at line 1063 of file rb_mjit_min_header-2.7.0.h.

## ◆ _strtok_last

char* _reent::_strtok_last

Definition at line 1081 of file rb_mjit_min_header-2.7.0.h.

## ◆ _unspecified_locale_info

int _reent::_unspecified_locale_info

Definition at line 1066 of file rb_mjit_min_header-2.7.0.h.

## ◆ _unused

struct { ... } _reent::_unused

## ◆ _unused_rand

unsigned int _reent::_unused_rand

Definition at line 1080 of file rb_mjit_min_header-2.7.0.h.

## ◆ _wcrtomb_state

_mbstate_t _reent::_wcrtomb_state

Definition at line 1096 of file rb_mjit_min_header-2.7.0.h.

## ◆ _wcsrtombs_state

_mbstate_t _reent::_wcsrtombs_state

Definition at line 1097 of file rb_mjit_min_header-2.7.0.h.

## ◆ _wctomb_state

_mbstate_t _reent::_wctomb_state

Definition at line 1089 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h